欢迎来到 跌倒的小黄瓜 的博客

♪(^∇^*)我要当大佬,(#^.^#)哈哈哈哈,(。-ω-)zzz我要成为优秀的人,(*^▽^*)٩(๑>◡<๑)۶O(∩_∩)O哈哈~~~~~~~~欢迎━(*`∀´*)ノ亻!

关与node-gpy

事情是这样的,今天安装 prepack-webpack-plugin 出现了 node-pre-gyp WARN Using request for node-pre-gyp https download ,导致一直安装不上,然后我就去找了 node-gpy 是啥,结果发现,它是和二进制编译相关的,那么我以前也遇到过安装不上的情况,虽然后来都解决了,但我还是安装了一下,步骤如下

npm install --global windows-build-tools(这一步时间比较长)
npm install -g node-gyp

安装过后我的node-sass又装不上了,又设置了一下镜像,又能安装上了

但是最后 prepack-webpack-plugin 还是没安装上(prepack-webpack-plugin 使用 Prepack,一个JavaScript 局部执行器。它重写了可以在编译时完成的计算,从而加快了代码执行速度),服了!!!

参考:
关注淘宝镜像
node-sass安装
参考文章(安装bcrypt)
参考文章(安装canvas)

posted @ 2020-06-28 19:11  跌倒的小黄瓜  阅读(38)  评论(0编辑  收藏